POST

Create Contact Note

Attaches a new note to a contact.

POSThttps://api.vantaxai.com/v1/contacts/{contact_id}/notes

Headers

  • Authorizationstringrequired

    Bearer authentication with your secret API key.

    example: Bearer vx_live_3fa9c2…

  • Content-Typestringrequired

    Must be application/json for requests with a body.

    example: application/json

Path Parameters

  • contact_idstringrequired

    The contact to attach the note to.

    example: ct_9b21d3

Body Parameters

  • notestringrequired

    The note's body text.

    example: Called about a quote for the spring campaign.

Request

curl -X POST https://api.vantaxai.com/v1/contacts/ct_9b21d3/notes \
  -H "Authorization: Bearer vx_live_3fa9c2..." \
  -H "Content-Type: application/json" \
  -d '{
  "note": "Called about a quote for the spring campaign."
}'

Response

{
  "success": true,
  "message": "Note created successfully",
  "data": {
    "id": "note_61aa09",
    "contact_id": "ct_9b21d3",
    "note": "Called about a quote for the spring campaign.",
    "created_at": "2026-01-15T14:05:00Z"
  }
}